FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions
Fl_Surface_Device Class Reference

A surface that's susceptible to receive graphical output. More...

`#include <Fl_Device.H>`

Inheritance diagram for Fl_Surface_Device:

List of all members.

## Public Member Functions
const char * | class_name ()
| Returns the name of the class of this object.
void | driver (Fl_Graphics_Driver *graphics_driver)
| Sets the graphics driver of this drawing surface.
Fl_Graphics_Driver * | driver ()
| Returns the graphics driver of this drawing surface.
virtual void | set_current (void)
| Use this drawing surface for future graphics requests.
virtual | ~Fl_Surface_Device ()
| The destructor.
## Static Public Member Functions
static Fl_Surface_Device * | surface ()
| the surface that currently receives graphics output
## Static Public Attributes
static const char * | class_id = "Fl_Surface_Device"
| A string that identifies each subclass of Fl_Device.
## Protected Member Functions
| Fl_Surface_Device (Fl_Graphics_Driver *graphics_driver)
| Constructor that sets the graphics driver to use for the created surface.

## Detailed Description

A surface that's susceptible to receive graphical output.

## Constructor & Destructor Documentation

Fl_Surface_Device::Fl_Surface_Device | ( | Fl_Graphics_Driver * | graphics_driver | ) | `[inline, protected]`

Constructor that sets the graphics driver to use for the created surface.

virtual Fl_Surface_Device::~Fl_Surface_Device | ( |  | ) | `[inline, virtual]`

The destructor.

## Member Function Documentation

const char* Fl_Surface_Device::class_name | ( |  | ) | `[inline, virtual]`

Returns the name of the class of this object.

Use of the class_name() function is discouraged because it will be removed from future FLTK versions.

The class of an instance of an Fl_Device subclass can be checked with code such as:

       if ( instance->class_name() == Fl_Printer::class_id ) { ... }

Reimplemented from Fl_Device.

Reimplemented in Fl_Display_Device, Fl_PostScript_File_Device, Fl_Printer, Fl_Paged_Device, Fl_PostScript_Printer, and Fl_System_Printer.

void Fl_Surface_Device::driver | ( | Fl_Graphics_Driver * | graphics_driver | ) | `[inline]`

Sets the graphics driver of this drawing surface.

Fl_Graphics_Driver* Fl_Surface_Device::driver | ( | void |  | ) | `[inline]`

Returns the graphics driver of this drawing surface.

Reimplemented in Fl_PostScript_File_Device, and Fl_Printer.

void Fl_Surface_Device::set_current | ( | void |  | ) | `[virtual]`

Use this drawing surface for future graphics requests.

Reimplemented in Fl_Printer.

## Member Data Documentation

const char * Fl_Surface_Device::class_id = "Fl_Surface_Device"`[static]`

A string that identifies each subclass of Fl_Device.

Function class_name() applied to a device of this class returns this string.

Reimplemented from Fl_Device.

Reimplemented in Fl_Display_Device, Fl_PostScript_File_Device, Fl_Printer, Fl_Paged_Device, Fl_PostScript_Printer, and Fl_System_Printer.

The documentation for this class was generated from the following files:

- Fl_Device.H
- Fl_Device.cxx